1.1
1.1
get /v1/snapshot-schedules
Description
파일스토리지 스냅샷 스케줄 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotScheduleListResponse |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshot-schedules?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_policy_enabled": "true",
"snapshot_schedule": [
{
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23",
"id": "d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31"
}
]
}